Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Thread_Pool_Threads Class Reference

Class representing a thread running in a thread lane. More...

`#include <Thread_Pool.h>`

Inheritance diagram for TAO_Thread_Pool_Threads:

[legend]
Collaboration diagram for TAO_Thread_Pool_Threads:

[legend]
List of all members.

## Public Methods
| TAO_Thread_Pool_Threads (TAO_Thread_Lane &lane)
| Constructor.
int | svc (void)
| Method executed when a thread is spawned.
TAO_Thread_Lane & | lane (void) const
| Accessor to the lane to which this thread belongs to.
## Static Public Methods
void | set_tss_resources (TAO_ORB_Core &orb_core, TAO_Thread_Lane &thread_lane)
| Set TSS resources for the current thread.
## Private Attributes
TAO_Thread_Lane & | lane_
| Lane to which this thread belongs to.

## Detailed Description

Class representing a thread running in a thread lane.

## Constructor & Destructor Documentation

TAO_Thread_Pool_Threads::TAO_Thread_Pool_Threads | ( | TAO_Thread_Lane & | lane | ) |

| Constructor.

## Member Function Documentation

TAO_Thread_Lane & TAO_Thread_Pool_Threads::lane | ( | void |  | ) | const

| Accessor to the lane to which this thread belongs to.

void TAO_Thread_Pool_Threads::set_tss_resources | ( | TAO_ORB_Core & | orb_core,
|  | TAO_Thread_Lane & | thread_lane
| ) | `[static]`

| Set TSS resources for the current thread.

int TAO_Thread_Pool_Threads::svc | ( | void |  | ) | `[virtual]`

| Method executed when a thread is spawned. Reimplemented from ACE_Task_Base.

## Member Data Documentation

TAO_Thread_Lane& TAO_Thread_Pool_Threads::lane_`[private]`

| Lane to which this thread belongs to.

The documentation for this class was generated from the following files:

- Thread_Pool.h
- Thread_Pool.cpp